function ajaxFileUpload()
{
    $("#category_add_form .loading")
    .ajaxStart(function(){
        $(this).show();
    })
    .ajaxComplete(function(){
        $(this).hide();
    });
    $.ajaxFileUpload
    (
        {
            url:'category/upload/' + id,
            secureuri:false,
            fileElementId:'file',
            dataType:'json',
            success:function (data, status)
            {
                if(typeof(data.error) != 'undefined')
                {
                    if(data.error != '')
                    {
                        alert(data.error);
                    }
                    else
                    {
                        $('#category_image').html('<img src="' + data.image + '?' + Math.floor(new Date().getTime()/1000) + '" />');
                    }
                }
            },
            error:function (data, status, e)
            {
                alert(e);
            }
        }
    )
    
    return false;
}